All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
execution_handler.hpp File Reference

Helper for handling fallbacks, lazy compilation, input-dependent kernels, etc. More...

`#include <map>`
`#include "viennacl/tools/shared_ptr.hpp"`
`#include "viennacl/device_specific/lazy_program_compiler.hpp"`
`#include "viennacl/device_specific/templates/template_base.hpp"`
`#include "viennacl/device_specific/utils.hpp"`

Go to the source code of this file.

## Classes

class | viennacl::device_specific::execution_handler

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::device_specific
| Provides an OpenCL kernel generator.

## Detailed Description

Helper for handling fallbacks, lazy compilation, input-dependent kernels, etc.

Definition in file execution_handler.hpp.